## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Constants Class Reference

Primary constants used in the XSLTProcessor classes. More...

`#include <Constants.hpp>`

Collaboration diagram for Constants:

[legend]
List of all members.

## Static Public Methods

- void initialize (MemoryManagerType &theManager)
    Perform initialization of statics -- must be called before any processing occurs. More...
- void terminate ()
    Perform termination of statics. More...

## Static Public Attributes

- const XalanDOMString& ELEMNAME_ANY_STRING
    Literals for XSL element names. More...
- const XalanDOMString& ELEMNAME_APPLY_IMPORTS_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_APPLY_TEMPLATES_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_ATTRIBUTESET_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_ATTRIBUTE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_CALLTEMPLATE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_CHOOSE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_COMMENT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_COPY_OF_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_COPY_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_DECIMALFORMAT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_ELEMENT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_FALLBACK_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_FOREACH_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_HTML_STRING
- const XalanDOMString& ELEMNAME_IF_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_IMPORT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_INCLUDE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_KEY_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_MESSAGE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_NUMBER_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_OTHERWISE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_SORT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_STRIPSPACE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_TEMPLATE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_TEXT_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_PARAM_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_PRESERVESPACE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_PI_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_VALUEOF_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_VARIABLE_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_WHEN_WITH_PREFIX_STRING
- const XalanDOMString& ELEMNAME_WITHPARAM_WITH_PREFIX_STRING
- const XalanDOMString& ATTRNAME_CASEORDER
- const XalanDOMString& ATTRNAME_COUNT
- const XalanDOMString& ATTRNAME_DATATYPE
- const XalanDOMString& ATTRNAME_DECIMALSEPARATOR
- const XalanDOMString& ATTRNAME_DEFAULT
- const XalanDOMString& ATTRNAME_DEFAULTSPACE
- const XalanDOMString& ATTRNAME_DIGIT
- const XalanDOMString& ATTRNAME_DIGITGROUPSEP
- const XalanDOMString& ATTRNAME_ELEMENTS
- const XalanDOMString& ATTRNAME_ESCAPE_URLS
- const XalanDOMString& ATTRNAME_EXCLUDE_RESULT_PREFIXES
- const XalanDOMString& ATTRNAME_EXTENSIONELEMENTPREFIXES
- const XalanDOMString& ATTRNAME_FORMAT
- const XalanDOMString& ATTRNAME_FROM
- const XalanDOMString& ATTRNAME_GROUPINGSEPARATOR
- const XalanDOMString& ATTRNAME_GROUPINGSIZE
- const XalanDOMString& ATTRNAME_HREF
- const XalanDOMString& ATTRNAME_ID
- const XalanDOMString& ATTRNAME_INDENTAMOUNT
- const XalanDOMString& ATTRNAME_INDENTRESULT
- const XalanDOMString& ATTRNAME_INFINITY
- const XalanDOMString& ATTRNAME_LANG
- const XalanDOMString& ATTRNAME_LETTERVALUE
- const XalanDOMString& ATTRNAME_MATCH
- const XalanDOMString& ATTRNAME_MINUSSIGN
- const XalanDOMString& ATTRNAME_MODE
- const XalanDOMString& ATTRNAME_NAME
- const XalanDOMString& ATTRNAME_NAMESPACE
- const XalanDOMString& ATTRNAME_NAN
- const XalanDOMString& ATTRNAME_NDIGITSPERGROUP
- const XalanDOMString& ATTRNAME_OMIT_META_TAG
- const XalanDOMString& ATTRNAME_ORDER
- const XalanDOMString& ATTRNAME_PATTERNSEPARATOR
- const XalanDOMString& ATTRNAME_PERCENT
- const XalanDOMString& ATTRNAME_PERMILLE
- const XalanDOMString& ATTRNAME_PREFIX
- const XalanDOMString& ATTRNAME_PRIORITY
- const XalanDOMString& ATTRNAME_RESULTNS
- const XalanDOMString& ATTRNAME_RESULT_PREFIX
- const XalanDOMString& ATTRNAME_SELECT
- const XalanDOMString& ATTRNAME_STYLESHEET_PREFIX
- const XalanDOMString& ATTRNAME_TERMINATE
- const XalanDOMString& ATTRNAME_TEST
- const XalanDOMString& ATTRNAME_TYPE
- const XalanDOMString& ATTRNAME_USE
- const XalanDOMString& ATTRNAME_USEATTRIBUTESETS
- const XalanDOMString& ATTRNAME_VALUE
- const XalanDOMString& ATTRNAME_VERSION
- const XalanDOMString& ATTRNAME_SPACE
- const XalanDOMString& ATTRNAME_XMLSPACE
- const XalanDOMString& ATTRNAME_ZERODIGIT
- const XalanDOMString& ATTRTYPE_CDATA
- const XalanDOMString& ATTRVAL_PRESERVE
- const XalanDOMString& ATTRVAL_STRIP
- const XalanDOMString& ATTRVAL_YES
- const XalanDOMString& ATTRVAL_NO
- const XalanDOMString& ATTRNAME_OUTPUT_METHOD
- const XalanDOMString& ATTRNAME_DISABLE_OUTPUT_ESCAPING
- const XalanDOMString& ATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS
- const XalanDOMString& ATTRNAME_OUTPUT_DOCTYPE_PUBLIC
- const XalanDOMString& ATTRNAME_OUTPUT_DOCTYPE_SYSTEM
- const XalanDOMString& ATTRNAME_OUTPUT_ENCODING
- const XalanDOMString& ATTRNAME_OUTPUT_INDENT
- const XalanDOMString& ATTRNAME_OUTPUT_MEDIATYPE
- const XalanDOMString& ATTRNAME_OUTPUT_STANDALONE
- const XalanDOMString& ATTRNAME_OUTPUT_VERSION
- const XalanDOMString& ATTRNAME_OUTPUT_OMITXMLDECL
- const XalanDOMString& ATTRVAL_OUTPUT_METHOD_HTML
- const XalanDOMString& ATTRVAL_OUTPUT_METHOD_XML
- const XalanDOMString& ATTRVAL_OUTPUT_METHOD_TEXT
- const XalanDOMString& ATTRVAL_THIS
- const XalanDOMString& ATTRVAL_DATATYPE_TEXT
- const XalanDOMString& ATTRVAL_DATATYPE_NUMBER
- const XalanDOMString& ATTRVAL_ORDER_ASCENDING
- const XalanDOMString& ATTRVAL_ORDER_DESCENDING
- const XalanDOMString& ATTRVAL_CASEORDER_UPPER
- const XalanDOMString& ATTRVAL_CASEORDER_LOWER
- const XalanDOMString& ATTRVAL_INFINITY
- const XalanDOMString& ATTRVAL_NAN
- const XalanDOMString& ATTRVAL_SIMPLE
- const XalanDOMString& DEFAULT_WHITESPACE_SEPARATOR_STRING
- const XalanDOMString& ATTRVAL_DEFAULT_TEXT_RULE
- const XalanDOMString& ATTRVAL_DEFAULT
- const XalanDOMString& ATTRVAL_DEFAULT_PREFIX
- const XalanDOMString& PSEUDONAME_NODE

## Detailed Description

Primary constants used in the XSLTProcessor classes.

## Member Function Documentation

void Constants::initialize ( | MemoryManagerType & theManager )`[static]`

| Perform initialization of statics -- must be called before any processing occurs. See class XSLTInit.

void Constants::terminate ( | )`[static]`

| Perform termination of statics. See class XSLTInit.

## Member Data Documentation

const XalanDOMString & Constants::ATTRNAME_CASEORDER`[static]`

const XalanDOMString & Constants::ATTRNAME_COUNT`[static]`

const XalanDOMString & Constants::ATTRNAME_DATATYPE`[static]`

const XalanDOMString & Constants::ATTRNAME_DECIMALSEPARATOR`[static]`

const XalanDOMString & Constants::ATTRNAME_DEFAULT`[static]`

const XalanDOMString & Constants::ATTRNAME_DEFAULTSPACE`[static]`

const XalanDOMString & Constants::ATTRNAME_DIGIT`[static]`

const XalanDOMString & Constants::ATTRNAME_DIGITGROUPSEP`[static]`

const XalanDOMString & Constants::ATTRNAME_DISABLE_OUTPUT_ESCAPING`[static]`

const XalanDOMString & Constants::ATTRNAME_ELEMENTS`[static]`

const XalanDOMString & Constants::ATTRNAME_ESCAPE_URLS`[static]`

const XalanDOMString & Constants::ATTRNAME_EXCLUDE_RESULT_PREFIXES`[static]`

const XalanDOMString & Constants::ATTRNAME_EXTENSIONELEMENTPREFIXES`[static]`

const XalanDOMString & Constants::ATTRNAME_FORMAT`[static]`

const XalanDOMString & Constants::ATTRNAME_FROM`[static]`

const XalanDOMString & Constants::ATTRNAME_GROUPINGSEPARATOR`[static]`

const XalanDOMString & Constants::ATTRNAME_GROUPINGSIZE`[static]`

const XalanDOMString & Constants::ATTRNAME_HREF`[static]`

const XalanDOMString & Constants::ATTRNAME_ID`[static]`

const XalanDOMString & Constants::ATTRNAME_INDENTAMOUNT`[static]`

const XalanDOMString & Constants::ATTRNAME_INDENTRESULT`[static]`

const XalanDOMString & Constants::ATTRNAME_INFINITY`[static]`

const XalanDOMString & Constants::ATTRNAME_LANG`[static]`

const XalanDOMString & Constants::ATTRNAME_LETTERVALUE`[static]`

const XalanDOMString & Constants::ATTRNAME_MATCH`[static]`

const XalanDOMString & Constants::ATTRNAME_MINUSSIGN`[static]`

const XalanDOMString & Constants::ATTRNAME_MODE`[static]`

const XalanDOMString & Constants::ATTRNAME_NAME`[static]`

const XalanDOMString & Constants::ATTRNAME_NAMESPACE`[static]`

const XalanDOMString & Constants::ATTRNAME_NAN`[static]`

const XalanDOMString & Constants::ATTRNAME_NDIGITSPERGROUP`[static]`

const XalanDOMString & Constants::ATTRNAME_OMIT_META_TAG`[static]`

const XalanDOMString & Constants::ATTRNAME_ORDER`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_CDATA_SECTION_ELEMENTS`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_DOCTYPE_PUBLIC`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_DOCTYPE_SYSTEM`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_ENCODING`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_INDENT`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_MEDIATYPE`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_METHOD`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_OMITXMLDECL`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_STANDALONE`[static]`

const XalanDOMString & Constants::ATTRNAME_OUTPUT_VERSION`[static]`

const XalanDOMString & Constants::ATTRNAME_PATTERNSEPARATOR`[static]`

const XalanDOMString & Constants::ATTRNAME_PERCENT`[static]`

const XalanDOMString & Constants::ATTRNAME_PERMILLE`[static]`

const XalanDOMString & Constants::ATTRNAME_PREFIX`[static]`

const XalanDOMString & Constants::ATTRNAME_PRIORITY`[static]`

const XalanDOMString & Constants::ATTRNAME_RESULTNS`[static]`

const XalanDOMString & Constants::ATTRNAME_RESULT_PREFIX`[static]`

const XalanDOMString & Constants::ATTRNAME_SELECT`[static]`

const XalanDOMString & Constants::ATTRNAME_SPACE`[static]`

const XalanDOMString & Constants::ATTRNAME_STYLESHEET_PREFIX`[static]`

const XalanDOMString & Constants::ATTRNAME_TERMINATE`[static]`

const XalanDOMString & Constants::ATTRNAME_TEST`[static]`

const XalanDOMString & Constants::ATTRNAME_TYPE`[static]`

const XalanDOMString & Constants::ATTRNAME_USE`[static]`

const XalanDOMString & Constants::ATTRNAME_USEATTRIBUTESETS`[static]`

const XalanDOMString & Constants::ATTRNAME_VALUE`[static]`

const XalanDOMString & Constants::ATTRNAME_VERSION`[static]`

const XalanDOMString & Constants::ATTRNAME_XMLSPACE`[static]`

const XalanDOMString & Constants::ATTRNAME_ZERODIGIT`[static]`

const XalanDOMString & Constants::ATTRTYPE_CDATA`[static]`

const XalanDOMString & Constants::ATTRVAL_CASEORDER_LOWER`[static]`

const XalanDOMString & Constants::ATTRVAL_CASEORDER_UPPER`[static]`

const XalanDOMString & Constants::ATTRVAL_DATATYPE_NUMBER`[static]`

const XalanDOMString & Constants::ATTRVAL_DATATYPE_TEXT`[static]`

const XalanDOMString & Constants::ATTRVAL_DEFAULT`[static]`

const XalanDOMString & Constants::ATTRVAL_DEFAULT_PREFIX`[static]`

const XalanDOMString & Constants::ATTRVAL_DEFAULT_TEXT_RULE`[static]`

const XalanDOMString & Constants::ATTRVAL_INFINITY`[static]`

const XalanDOMString & Constants::ATTRVAL_NAN`[static]`

const XalanDOMString & Constants::ATTRVAL_NO`[static]`

const XalanDOMString & Constants::ATTRVAL_ORDER_ASCENDING`[static]`

const XalanDOMString & Constants::ATTRVAL_ORDER_DESCENDING`[static]`

const XalanDOMString & Constants::ATTRVAL_OUTPUT_METHOD_HTML`[static]`

const XalanDOMString & Constants::ATTRVAL_OUTPUT_METHOD_TEXT`[static]`

const XalanDOMString & Constants::ATTRVAL_OUTPUT_METHOD_XML`[static]`

const XalanDOMString & Constants::ATTRVAL_PRESERVE`[static]`

const XalanDOMString & Constants::ATTRVAL_SIMPLE`[static]`

const XalanDOMString & Constants::ATTRVAL_STRIP`[static]`

const XalanDOMString & Constants::ATTRVAL_THIS`[static]`

const XalanDOMString & Constants::ATTRVAL_YES`[static]`

const XalanDOMString & Constants::DEFAULT_WHITESPACE_SEPARATOR_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_ANY_STRING`[static]`

| Literals for XSL element names. Note that there are more names than IDs, because some names map to the same ID.

const XalanDOMString & Constants::ELEMNAME_APPLY_IMPORTS_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_APPLY_TEMPLATES_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_ATTRIBUTESET_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_ATTRIBUTE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_CALLTEMPLATE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_CHOOSE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_COMMENT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_COPY_OF_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_COPY_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_DECIMALFORMAT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_ELEMENT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_FALLBACK_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_FOREACH_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_HTML_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_IF_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_IMPORT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_INCLUDE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_KEY_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_MESSAGE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_NUMBER_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_OTHERWISE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_PARAM_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_PI_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_PRESERVESPACE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_SORT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_STRIPSPACE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_TEMPLATE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_TEXT_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_VALUEOF_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_VARIABLE_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_WHEN_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::ELEMNAME_WITHPARAM_WITH_PREFIX_STRING`[static]`

const XalanDOMString & Constants::PSEUDONAME_NODE`[static]`

The documentation for this class was generated from the following file:

- Constants.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.